All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
ipsock.h File Reference
`#include <ptlib/socket.h>`
`#include "unix/ptlib/ipsock.h"`

Go to the source code of this file.

## Classes

class | PIPSocket
| This class describes a type of socket that will communicate using the Internet Protocol. More...
class | PIPSocket::Address
| A class describing an IP address. More...
class | PIPSocket::RouteEntry
| Describe a route table entry. More...
class | PIPSocket::RouteTableDetector
| Class for detector of Route Table changes. More...
class | PIPSocket::InterfaceEntry
| Describe an interface table entry. More...
class | PIPSocketAddressAndPort

## Typedefs

typedef std::vector < PIPSocketAddressAndPort > | PIPSocketAddressAndPortVector

## Typedef Documentation

typedef std::vector<PIPSocketAddressAndPort> PIPSocketAddressAndPortVector